## qtads 3.4.0+dfsg

=== SDL_audiolib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(SDL_audiolib
    VERSION 0.0.0
    DESCRIPTION "An audio decoding, resampling and mixing library."
)
set(AULIB_VERSION 0x000000)

if(POLICY CMP0069)
    cmake_policy(SET CMP0069 NEW)
endif()
if(POLICY CMP0077)
    cmake_policy(SET CMP0077 NEW)
endif()
if(POLICY CMP0111)
    cmake_policy(SET CMP0111 NEW)
endif()

option(
    USE_SDL1
    "Use SDL1 instead of SDL2."
    OFF
)

option(
    USE_RESAMP_SRC
    "Enable SRC (aka libsamplerate) resampler."
    ON
)

option(
    USE_RESAMP_SOXR
    "Enable SoxR resampler."
    ON
)

option(
    USE_DEC_DRFLAC
    "Enable dr_flac FLAC and Ogg FLAC decoder (built-in)"
    ON
)

option(
    USE_DEC_DRMP3
    "Enable dr_mp3 MP3 decoder (built-in)"
    ON
)

option(
    USE_DEC_DRWAV
    "Enable dr_wav WAV decoder (built-in)"
    ON
)

option(
    USE_DEC_OPENMPT
    "Enable OpenMPT MOD decoder."
    ON
)

option(
    USE_DEC_XMP
    "Enable XMP MOD decoder."
    ON
)

option(
    USE_DEC_MODPLUG
    "Enable ModPlug MOD decoder."
    ON
)

option(
    USE_DEC_MPG123
    "Enable Mpg123 MP3 decoder."
    ON
)

option(
    USE_DEC_SNDFILE
    "Enable Libsndfile decoder."
    ON
)

option(
    USE_DEC_LIBVORBIS
    "Enable libvorbis Ogg Vorbis decoder."
    ON
)

option(
    USE_DEC_LIBOPUSFILE
    "Enable libopusfile Opus decoder."
    ON
)

option(
    USE_DEC_FLAC
    "Enable libFLAC decoder."
    ON
)

option(
    USE_DEC_MUSEPACK
    "Enable libmpcdec Musepack decoder."
    ON
)

option(
    USE_DEC_FLUIDSYNTH
    "Enable FluidSynth MIDI decoder."
    ON
)

option(
    USE_DEC_BASSMIDI
    "Enable BASSMIDI MIDI decoder."
    ON
)

option(
    USE_DEC_WILDMIDI
    "Enable WildMIDI MIDI decoder."
    ON
)

option(
    USE_DEC_ADLMIDI
    "Enable libADLMIDI decoder."
    ON
)

option(
    ENABLE_SDLMIXER_EMU
    "Build the SDL_mixer emulation library (doesn't really work yet.)"
    OFF
)

option(
    BUILD_EXAMPLE
    "Build the example sound player."
    OFF
)

option(
    BUILD_SHARED_LIBS
    "Build shared library instead of static."
    ON
)

option(
    WITH_SYSTEM_FMTLIB
    "Use system-provided fmtlib instead of bundled one."
    OFF
)

include(GNUInstallDirs)
include(FindPkgConfig)
include(GenerateExportHeader)

if ("cxx_std_20" IN_LIST CMAKE_CXX_COMPILE_FEATURES)
    set(CMAKE_CXX_STANDARD 20)
else()
    set(CMAKE_CXX_STANDARD 17)
endif()
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN ON)

configure_file(
    ${PROJECT_SOURCE_DIR}/aulib_version.h.in
    ${PROJECT_BINARY_DIR}/aulib_version.h
)

if("${CMAKE_C_COMPILER_ID}" MATCHES "^(GNU|((Apple)?Clang))$")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -W -Wextra -Wpedantic")
endif()

if("${CMAKE_CXX_COMPILER_ID}" MATCHES "^(GNU|((Apple)?Clang))$")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wextra -Wpedantic")
endif()

# Headers in include/SDL_Audiolib/
set(
    PUBLIC_HEADERS
    include/aulib.h
    include/aulib_global.h
)

# Generated headers in include/SDL_Audiolib/
set(
    PUBLIC_HEADERS_GENERATED
    ${CMAKE_BINARY_DIR}/aulib_export.h
    ${CMAKE_BINARY_DIR}/aulib_version.h
)

# Headers in include/SDL_Audiolib/Aulib/
set(
    PUBLIC_HEADERS_AULIB_DIR
    include/Aulib/Decoder.h
    include/Aulib/Processor.h
    include/Aulib/Resampler.h
    include/Aulib/ResamplerSdl.h
    include/Aulib/ResamplerSpeex.h
    include/Aulib/Stream.h
)

if(USE_SDL1)
    find_package(SDL REQUIRED)
    if(TARGET SDL::SDL)
        set(SDL_LIBRARIES SDL::SDL)
    else()
        set(SDL_INCLUDE_DIRS ${SDL_INCLUDE_DIR})
        set(SDL_LIBRARIES ${SDL_LIBRARY})
    endif()
    set(PKGCONF_REQ_PUB "${PKGCONF_REQ_PUB} sdl")
else()
    find_package(SDL2 REQUIRED)
    if(TARGET SDL2::SDL2)
        set(SDL_LIBRARIES SDL2::SDL2)
    elseif(TARGET SDL2::SDL2-static)
        # On some distros, such as vitasdk, only the SDL2::SDL2-static target is available.
        set(SDL_LIBRARIES SDL2::SDL2-static)
    else()
        # Work around broken cmake config for older SDL2 versions
        set(SDL_INCLUDE_DIRS ${SDL2_INCLUDE_DIRS})
        set(SDL_LIBRARIES ${SDL2_LIBRARIES})
    endif()
    set(PKGCONF_REQ_PUB "${PKGCONF_REQ_PUB} sdl2")
endif()

if (USE_RESAMP_SRC)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/ResamplerSrc.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/ResamplerSrc.h)
    pkg_check_modules(SRC REQUIRED samplerate>=0.1.9 IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::SRC)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} samplerate")
endif(USE_RESAMP_SRC)

if (USE_RESAMP_SOXR)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/ResamplerSox.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/ResamplerSox.h)
    pkg_check_modules(SOXR REQUIRED soxr IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::SOXR)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} soxr")
endif(USE_RESAMP_SOXR)

if (USE_DEC_DRFLAC)
    set(AULIB_SOURCES ${AULIB_SOURCES} 3rdparty/dr_libs/dr_flac.h src/DecoderDrflac.cpp src/dr_flac.c)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderDrflac.h)
    set(DRFLAC_INCLUDE_DIRS 3rdparty/dr_libs)
endif(USE_DEC_DRFLAC)

if (USE_DEC_DRMP3)
    set(AULIB_SOURCES ${AULIB_SOURCES} 3rdparty/dr_libs/dr_mp3.h src/DecoderDrmp3.cpp src/dr_mp3.c)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderDrmp3.h)
    set(DRMP3_INCLUDE_DIRS 3rdparty/dr_libs)
endif(USE_DEC_DRMP3)

if (USE_DEC_DRWAV)
    set(AULIB_SOURCES ${AULIB_SOURCES} 3rdparty/dr_libs/dr_wav.h src/DecoderDrwav.cpp src/dr_wav.c)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderDrwav.h)
    set(DRWAV_INCLUDE_DIRS 3rdparty/dr_libs)
endif(USE_DEC_DRWAV)

if (USE_DEC_OPENMPT)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderOpenmpt.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderOpenmpt.h)
    pkg_check_modules(OPENMPT REQUIRED libopenmpt IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::OPENMPT)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libopenmpt")
endif(USE_DEC_OPENMPT)

if (USE_DEC_XMP)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderXmp.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderXmp.h)
    pkg_check_modules(XMP REQUIRED libxmp IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::XMP)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libxmp")
endif(USE_DEC_XMP)

if (USE_DEC_MODPLUG)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderModplug.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderModplug.h)
    pkg_check_modules(MODPLUG REQUIRED libmodplug IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::MODPLUG)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libmodplug")
endif(USE_DEC_MODPLUG)

if (USE_DEC_MPG123)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderMpg123.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderMpg123.h)
    pkg_check_modules(MPG123 REQUIRED libmpg123 IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::MPG123)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libmpg123")
endif(USE_DEC_MPG123)

if (USE_DEC_SNDFILE)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderSndfile.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderSndfile.h)
    pkg_check_modules(SNDFILE REQUIRED sndfile IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::SNDFILE)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} sndfile")
endif(USE_DEC_SNDFILE)

if (USE_DEC_LIBVORBIS)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderVorbis.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderVorbis.h)
    pkg_check_modules(VORBISFILE REQUIRED vorbisfile IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::VORBISFILE)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} vorbisfile")
endif(USE_DEC_LIBVORBIS)

if (USE_DEC_LIBOPUSFILE)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderOpus.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderOpus.h)
    pkg_check_modules(OPUSFILE REQUIRED opusfile IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::OPUSFILE)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} opusfile")
endif(USE_DEC_LIBOPUSFILE)

if (USE_DEC_FLAC)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderFlac.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderFlac.h)
    pkg_check_modules(FLAC REQUIRED flac IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::FLAC)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} flac")
endif(USE_DEC_FLAC)

if (USE_DEC_MUSEPACK)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderMusepack.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderMusepack.h)
    find_library(MUSEPACK_LIBRARY NAMES mpcdec)
    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${MUSEPACK_LIBRARY}")
    list(APPEND EXTRA_LIBRARIES ${MUSEPACK_LIBRARY})
endif(USE_DEC_MUSEPACK)

if (USE_DEC_FLUIDSYNTH)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderFluidsynth.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderFluidsynth.h)
    pkg_check_modules(FLUIDSYNTH REQUIRED fluidsynth>=2 IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::FLUIDSYNTH)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} fluidsynth")
endif(USE_DEC_FLUIDSYNTH)

if (USE_DEC_BASSMIDI)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderBassmidi.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderBassmidi.h)
    find_library(BASS_LIBRARY NAMES bass)
    find_library(BASSMIDI_LIBRARY NAMES bassmidi)
    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${BASS_LIBRARY} ${BASSMIDI_LIBRARY}")
    list(APPEND EXTRA_LIBRARIES ${BASS_LIBRARY} ${BASSMIDI_LIBRARY})
endif(USE_DEC_BASSMIDI)

if (USE_DEC_WILDMIDI)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderWildmidi.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderWildmidi.h)
    find_library(WILDMIDI_LIBRARY NAMES WildMidi)
    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${WILDMIDI_LIBRARY}")
    list(APPEND EXTRA_LIBRARIES ${WILDMIDI_LIBRARY})
endif(USE_DEC_WILDMIDI)

if (USE_DEC_ADLMIDI)
    set(AULIB_SOURCES ${AULIB_SOURCES} src/DecoderAdlmidi.cpp)
    set(PUBLIC_HEADERS_AULIB_DIR ${PUBLIC_HEADERS_AULIB_DIR} include/Aulib/DecoderAdlmidi.h)
    pkg_check_modules(ADLMIDI REQUIRED libADLMIDI IMPORTED_TARGET)
    list(APPEND EXTRA_LIBRARIES PkgConfig::ADLMIDI)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libADLMIDI")
endif(USE_DEC_ADLMIDI)

function(add_bundled_fmtlib)
    set(BUILD_SHARED_LIBS OFF)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
    add_subdirectory(3rdparty/fmt)
endfunction()

if (WITH_SYSTEM_FMTLIB)
    find_package(FMT REQUIRED)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} fmt")
else()
    add_bundled_fmtlib()
endif()

check_cxx_source_compiles(
    "
    #include <algorithm>
    int main() { (void)std::clamp(1, 2, 3); }
    "
    HAVE_STD_CLAMP
)

add_library(
    SDL_audiolib

    ${PUBLIC_HEADERS}
    ${PUBLIC_HEADERS_AULIB_DIR}
    ${AULIB_SOURCES}

    src/Buffer.h
    src/Decoder.cpp
    src/Processor.cpp
    src/Resampler.cpp
    src/ResamplerSdl.cpp
    src/ResamplerSpeex.cpp
    src/SdlAudioLocker.h
    src/SdlMutex.h
    src/Stream.cpp
    src/aulib.cpp
    src/aulib_debug.h
    src/aulib_log.h
    src/sampleconv.cpp
    src/sampleconv.h
    src/stream_p.cpp
    src/stream_p.h

    src/missing.h
    src/missing/algorithm.h
    src/missing/sdl_audio_format.h
    src/missing/sdl_endian_float.h
    src/missing/sdl_load_file_rw.c
    src/missing/sdl_load_file_rw.h
    src/missing/sdl_rwsize.c
    src/missing/sdl_rwsize.h

    3rdparty/speex_resampler/arch.h
    3rdparty/speex_resampler/resample.c

=== SDL_audiolib/3rdparty/fmt/test/gtest/CMakeLists.txt ===
#------------------------------------------------------------------------------
# Build the google test library

# We compile Google Test ourselves instead of using pre-compiled libraries.
# See the Google Test FAQ "Why is it not recommended to install a
# pre-compiled copy of Google Test (for example, into /usr/local)?"
# at http://code.google.com/p/googletest/wiki/FAQ for more details.
add_library(gtest STATIC
  gmock-gtest-all.cc gmock/gmock.h gtest/gtest.h gtest/gtest-spi.h)
target_compile_definitions(gtest PUBLIC GTEST_HAS_STD_WSTRING=1)
target_include_directories(gtest SYSTEM PUBLIC .)

find_package(Threads)
if (Threads_FOUND)
  target_link_libraries(gtest ${CMAKE_THREAD_LIBS_INIT})
else ()
  target_compile_definitions(gtest PUBLIC GTEST_HAS_PTHREAD=0)
endif ()

# Workaround GTest bug https://github.com/google/googletest/issues/705.
check_cxx_compiler_flag(
  -fno-delete-null-pointer-checks HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
if (HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
  target_compile_options(gtest PUBLIC -fno-delete-null-pointer-checks)
endif ()

if (MSVC)
  # Disable MSVC warnings of _CRT_INSECURE_DEPRECATE functions.
  target_compile_definitions(gtest PRIVATE _CRT_SECURE_NO_WARNINGS)
  if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # Disable MSVC warnings of POSIX functions.
    target_compile_options(gtest PUBLIC -Wno-deprecated-declarations)
  endif ()
endif ()

# Silence MSVC tr1 deprecation warning in gmock.
target_compile_definitions(gtest
  PUBLIC _SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING=1)

## qtads 2.1.1

=== debian/changelog ===
qtads (2.1.1-1) unstable; urgency=low

  * New upstream release.
    + Ported to Qt4.  Closes: #604582.
    + Update debian/control to reflect the fact that this version
      supports HTML TADS.
  * Update to 3.0 (quilt) source format.

 -- Daniel Schepler <schepler@debian.org>  Sat, 02 Apr 2011 13:27:52 -0700

qtads (1.9-1) unstable; urgency=low

  * New upstream release

 -- Daniel Schepler <schepler@debian.org>  Tue, 10 Nov 2009 16:49:43 -0800

qtads (1.7-1) unstable; urgency=low

  * New upstream release

 -- Daniel Schepler <schepler@debian.org>  Sat, 24 May 2008 10:26:39 -0700

qtads (1.6c-3) unstable; urgency=low

  * New patch 02_gcc43_fix.diff: fix compilation with g++-4.3.
    Closes: #454813.
  * Remove QMAKE_STRIP=: workaround and Build-Depend on fixed version
    of cdbs.
  * Bump to debhelper compatibility level 6.
  * Bump standards-version to 3.7.3 (no changes needed).
  * Fix a couple lintian issues.

 -- Daniel Schepler <schepler@debian.org>  Thu, 21 Feb 2008 21:07:57 -0500

qtads (1.6c-2) unstable; urgency=low

  * Use cdbs' qmake support instead of our own.
  * Set QMAKE_STRIP=: to work around qmake's unconditional stripping
    of installed binaries.  Closes: #437868.
    (See also: #438417.)
  * Add debian/watch file.
  * Update debhelper compat level, Standards-Version.

 -- Daniel Schepler <schepler@debian.org>  Thu, 16 Aug 2007 15:51:37 -0400

qtads (1.6c-1) unstable; urgency=low

  * New upstream release.  Closes: #298843.
  * Add patch 01_amd64_fix.diff to fix the little-endian portability
    macros to work also on amd64.  Closes: #307843.

 -- Daniel Schepler <schepler@debian.org>  Thu, 25 Aug 2005 21:09:04 -0700

qtads (1.3a-2) unstable; urgency=low

  * Compile using -fno-strict-aliasing, to fix crash on running TADS3
    games.

 -- Daniel Schepler <schepler@debian.org>  Tue, 14 Oct 2003 22:17:48 -0700

qtads (1.3a-1) unstable; urgency=low

  * Initial Release.  Closes: #213964.

 -- Daniel Schepler <schepler@debian.org>  Fri,  3 Oct 2003 11:45:24 -0700

=== debian/control ===
Source: qtads
Section: games
Priority: optional
Maintainer: Daniel Schepler <schepler@debian.org>
Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50)
Standards-Version: 3.9.1

Package: qtads
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: tads2-interpreter, tads3-interpreter
Description: Qt HTML interpreter for TADS
 This package provides an interpreter for TADS game files, using a
 Qt interface.  It can run either TADS 2 games (which have an
 extension of .gam) or TADS 3 games (which have an extension of .t3).
 See http://www.ifarchive.org/indexes/if-archiveXgamesXtads.html for a
 large collection of available TADS games.
 .
 This interpreter supports HTML-TADS multimedia features.  Other
 features include:
   * Full Unicode support for TADS 3 and HTML TADS games.
   * Full text justification.
   * Support for multiple user configurations, which you can switch
     between at runtime.
 .
 TADS, the Text Adventure Development System, is a system for writing
 and playing interactive fiction games.  This means that the primary
 method for interacting with the game is to type in commands, to which
 the game produces a response in prose -- similar to Infocom's games
 from the 1980's.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

export QTDIR = /usr/share/qt4

CFLAGS += -fno-strict-aliasing
CXXFLAGS += -fno-strict-aliasing

QMAKE = qmake-qt4
DEB_QMAKE_ARGS := BIN_INSTALL=/usr/games DOC_INSTALL=/usr/share/doc \
	DATA_INSTALL=/usr/share

clean::
	if [ -d tmp ]; then rmdir tmp; fi

install/qtads::
# GPL is already on Debian systems...
	rm -f $(DEB_DESTDIR)/usr/share/doc/qtads/COPYING
# Installation instructions are useless for the binary package...
	rm -f $(DEB_DESTDIR)/usr/share/doc/qtads/INSTALL

=== debian/watch ===
version=3
http://sf.net/qtads/qtads-([0-9a-z.]+)\.tar\.gz

## qtads 2.1.3

=== debian/changelog ===
qtads (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on pkg-config.  Closes: #671979.
  * Update watch file to look for tar.bz2 files.  Closes: #676503.
  * Disable CONFIG=silent for Debian build.
  * Bump Standards-Version to 3.9.3.

 -- Daniel Schepler <schepler@debian.org>  Sun, 10 Jun 2012 14:42:39 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Daniel Schepler <schepler@debian.org>
-Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50), pkg-config
+Standards-Version: 3.9.3
 
 Package: qtads
 Architecture: any

## qtads 2.1.6

=== debian/changelog ===
qtads (2.1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Add new shared-mime-info file and icons.

 -- Daniel Schepler <schepler@debian.org>  Sun, 14 Jul 2013 11:32:39 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Schepler <schepler@debian.org>
 Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50), pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: qtads
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 DEB_QMAKE_ARGS := BIN_INSTALL=/usr/games DOC_INSTALL=/usr/share/doc \
 	DATA_INSTALL=/usr/share
 
-clean::
-	if [ -d tmp ]; then rmdir tmp; fi
-
 install/qtads::
 # GPL is already on Debian systems...
 	rm -f $(DEB_DESTDIR)/usr/share/doc/qtads/COPYING

=== debian/watch ===
version=3
http://sf.net/qtads/qtads-([0-9a-z.]+)\.tar\.bz2

## qtads 2.1.7

=== debian/changelog ===
qtads (2.1.7-0.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:14 +0100

qtads (2.1.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    New upstream release, fixes frequent crashes (Closes: #471293)
  * Debhelper 9    
  * Fix FTBFS with contemporary compilers, patch by Juhani Numminen. Thanks!
    (Closes: #853629)
  * Build with Qt5, patch by Juhani Numminen. Thanks! (Closes: #875157)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 12 Sep 2019 22:48:42 +0200

qtads (2.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=c++11. qtads is not ready for C++14.  (Closes: #857897)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Mar 2017 02:41:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 include /usr/share/cdbs/1/class/qmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-export QTDIR = /usr/share/qt4
+export QTDIR = /usr/share/qt5
 
 CFLAGS += -fno-strict-aliasing
-CXXFLAGS += -fno-strict-aliasing
+CXXFLAGS += -fno-strict-aliasing -std=c++11
 
-QMAKE = qmake-qt4
+export QT_SELECT = qt5
+QMAKE = qmake
 DEB_QMAKE_ARGS := BIN_INSTALL=/usr/games DOC_INSTALL=/usr/share/doc \
 	DATA_INSTALL=/usr/share

## qtads 3.4.0+dfsg

=== debian/changelog ===
qtads (3.4.0+dfsg-2) unstable; urgency=medium

  * Use system libfmt instead of vendored one
  * Add patch to do verbose builds
  * Update watch file
  * Add description to patch
  * Update my email address

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 Oct 2025 11:00:58 +0200

qtads (3.4.0+dfsg-1) unstable; urgency=medium

  * Adopt package.
  * New upstream release. (Closes: #984310, #940465, #1019737)
  * Project has been imported in Salsa under the Games team.
  * Drop old Debian menu entry.
  * Switch from CDBS to DebHelper (compat level 13)
  * set Rules-Requires-Root: no
  * update Standards-Version to 4.6.2
  * Update build-dependencies:
    * SDL1 -> SDL2
    * pkg-config -> pkgconf
    * explicitly add Vorbis, Mpg123, SndFile, FluidSynth.
    * add dependency on libqt5svg5-dev
  * debian/copyright:
    * rewrite in DEP-5 format
    * QTads has been relicensed under the GPL-3 from version 3.0
  * debian/watch:
    * The archive is repacked to drop a copy of Bootstrap.js
    * Upstream moved from SourceForge to GitHub.
  * debian/patches:
    * drop old pointer/integer comparison patch, merged upstream.
    * disable the auto-update notification

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 19 May 2023 16:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,35 @@
 Source: qtads
 Section: games
 Priority: optional
-Maintainer: Daniel Schepler <schepler@debian.org>
-Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50), pkg-config
-Standards-Version: 3.9.4
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Daniel Schepler <schepler@debian.org>,
+ Alexandre Detiste <tchet@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libfluidsynth-dev,
+ libfmt-dev,
+ libmpg123-dev,
+ libqt5svg5-dev,
+ libsdl2-dev,
+ libsdl2-mixer-dev,
+ libsndfile1-dev,
+ libvorbis-dev,
+ pkgconf,
+ qtbase5-dev,
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/games-team/qtads.git
+Vcs-Browser: https://salsa.debian.org/games-team/qtads
+Homepage: https://realnc.github.io/qtads/
 
 Package: qtads
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: tads2-interpreter, tads3-interpreter
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ tads2-interpreter,
+ tads3-interpreter,
 Description: Qt HTML interpreter for TADS
  This package provides an interpreter for TADS game files, using a
  Qt interface.  It can run either TADS 2 games (which have an

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

execute_after_dh_auto_configure:
	# there should me a smarter way to do that
	sed -i 's#$(INSTALL_ROOT)/usr/bin#$(INSTALL_ROOT)/usr/games#g' Makefile

=== debian/watch ===
version=4
opts="compression=xz,repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
    https://github.com/realnc/qtads/tags/ \
    /realnc/qtads/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@
